Index: data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11119)
+++ data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11120)
@@ -2485,56 +2657,70 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="StaticFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="StaticFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="StaticFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="StaticFrameBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="StaticFrameLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="StaticFrameTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="StaticFrameRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="StaticFrameBottom" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/StaticFrameTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/StaticFrameTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/StaticFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/StaticFrameBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/StaticFrameLeft" />
+                <Image component="TopEdge" name="WindowsLook/StaticFrameTop" />
+                <Image component="RightEdge" name="WindowsLook/StaticFrameRight" />
+                <Image component="BottomEdge" name="WindowsLook/StaticFrameBottom" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
-                <Colours topLeft="FFDFDFDF" topRight="FFDFDFDF" bottomLeft="FFDFDFDF" bottomRight="FFDFDFDF" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
+                <Colours bottomLeft="FFDFDFDF" bottomRight="FFDFDFDF" topLeft="FFDFDFDF" topRight="FFDFDFDF" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
             </ImageryComponent>
         </ImagerySection>
-        <ImagerySection name="progress_lights" >
+        <ImagerySection name="progress_lights">
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -2554,5 +2740,5 @@
             <Layer>
                 <Section section="progress_lights">
-                    <Colours topLeft="FF2222FF" topRight="FF2222FF" bottomLeft="FF2222FF" bottomRight="FF2222FF" />
+                    <Colours bottomLeft="FF2222FF" bottomRight="FF2222FF" topLeft="FF2222FF" topRight="FF2222FF" />
                 </Section>
             </Layer>
@@ -2561,34 +2747,32 @@
             <Layer>
                 <Section section="progress_lights">
-                    <Colours topLeft="FF2222FF" topRight="FF2222FF" bottomLeft="FF2222FF" bottomRight="FF2222FF" />
+                    <Colours bottomLeft="FF2222FF" bottomRight="FF2222FF" topLeft="FF2222FF" topRight="FF2222FF" />
                 </Section>
             </Layer>
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/RadioButton
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/RadioButton">
-        <PropertyDefinition name="NormalTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="HoverTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="PushedTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="DisabledTextColour" initialValue="FF888888" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="HoverTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF000000" name="PushedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF888888" name="DisabledTextColour" redrawOnWrite="true" />
         <ImagerySection name="label">
             <TextComponent>
                 <Area>
-                    <Dim type="LeftEdge" >
-                        <ImageDim imageset="WindowsLook" image="RadioButtonNormal" dimension="Width">
-                            <DimOperator op="Add">
-                                <AbsoluteDim value="4" />
-                            </DimOperator>
-                        </ImageDim>
-                    </Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                    <Dim type="LeftEdge">
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="WindowsLook/RadioButtonNormal" />
+                            <AbsoluteDim value="4" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
                 </Area>
                 <VertFormat type="CentreAligned" />
@@ -2599,10 +2783,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="RadioButtonNormal" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/RadioButtonNormal" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="LeftAligned" />
@@ -2612,10 +2804,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="RadioButtonHover" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/RadioButtonHover" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="LeftAligned" />
@@ -2625,10 +2825,18 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="RadioButtonMark" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/RadioButtonMark" />
                 <VertFormat type="CentreAligned" />
                 <HorzFormat type="LeftAligned" />
@@ -2670,59 +2878,100 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/ScrollablePane
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/ScrollablePane">
         <NamedArea name="ViewableArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="ViewableAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" offset="-16" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="ViewableAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" offset="-16" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
         <NamedArea name="ViewableAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" ><UnifiedDim scale="1.0" offset="-16" type="RightEdge" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1.0" offset="-16" type="BottomEdge" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1.0" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1.0" type="BottomEdge" />
+                </Dim>
             </Area>
         </NamedArea>
-        <Child  type="WindowsLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-16" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="16" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="WindowsLook/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-16" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="16" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="WindowsLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="16" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-16" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="WindowsLook/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="16" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-16" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -2731,56 +2980,55 @@
         <StateImagery name="Disabled" />
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/VerticalScrollbarThumb
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/VerticalScrollbarThumb">
         <Property name="VertFree" value="True" />
-        <Property name="UnifiedMinSize" value="{{0,0},{0,16}}" />
+        <Property name="MinSize" value="{{0,0},{0,16}}" />
         <ImagerySection name="normal">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="ButtonNormalTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="ButtonNormalTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="ButtonNormalBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="ButtonNormalBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="ButtonNormalLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="ButtonNormalTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="ButtonNormalRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="ButtonNormalBottom" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/ButtonNormalTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/ButtonNormalTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/ButtonNormalBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/ButtonNormalBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/ButtonNormalLeft" />
+                <Image component="TopEdge" name="WindowsLook/ButtonNormalTop" />
+                <Image component="RightEdge" name="WindowsLook/ButtonNormalRight" />
+                <Image component="BottomEdge" name="WindowsLook/ButtonNormalBottom" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonNormalLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonNormalTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/ButtonNormalLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/ButtonNormalTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonNormalRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonNormalBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
-                <Colours topLeft="FFAFAFAF" topRight="FFFFFFFF" bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/ButtonNormalRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/ButtonNormalBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
+                <Colours bottomLeft="FFFFFFFF" bottomRight="FFAFAFAF" topLeft="FFAFAFAF" topRight="FFFFFFFF" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -2790,43 +3038,49 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="ButtonHoverTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="ButtonHoverTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="ButtonHoverBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="ButtonHoverBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="ButtonHoverLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="ButtonHoverTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="ButtonHoverRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="ButtonHoverBottom" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/ButtonHoverTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/ButtonHoverTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/ButtonHoverBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/ButtonHoverBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/ButtonHoverLeft" />
+                <Image component="TopEdge" name="WindowsLook/ButtonHoverTop" />
+                <Image component="RightEdge" name="WindowsLook/ButtonHoverRight" />
+                <Image component="BottomEdge" name="WindowsLook/ButtonHoverBottom" />
             </FrameComponent>
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonHoverLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="ButtonHoverTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/ButtonHoverLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/ButtonHoverTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonHoverRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="ButtonHoverBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
-                <Colours topLeft="FFCFD9CF" topRight="FFF2FFF2" bottomLeft="FFF2FFF2" bottomRight="FFCFD9CF" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/ButtonHoverRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/ButtonHoverBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
+                <Colours bottomLeft="FFF2FFF2" bottomRight="FFCFD9CF" topLeft="FFCFD9CF" topRight="FFF2FFF2" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
